Bug 182729 - chkconfig incorrectly enables disabled services on --add
chkconfig incorrectly enables disabled services on --add
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: chkconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
: Regression
Depends On:
Blocks: 182987 187538
  Show dependency treegraph
Reported: 2006-02-24 06:02 EST by Bastien Nocera
Modified: 2014-03-16 22:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2006-0286
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-19 15:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for this issue (799 bytes, patch)
2006-02-24 17:34 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-02-24 06:02:05 EST

1. /sbin/chkconfig syslog off
2. Update sysklogd
3. Check output of /sbin/chkconfig --list syslog

syslog should still be disabled, but isn't.
the postinstall script of sysklogd should check for the value of "$1" before
running "chkconfig --add syslog"
Comment 1 Bill Nottingham 2006-02-24 16:43:07 EST
That's not a sysklogd bug, that would be a chkconfig bug. sysklogd is fine.
Comment 4 Bill Nottingham 2006-02-24 17:34:41 EST
Created attachment 125221 [details]
patch for this issue

Here's the patch for this issue; in local testing it has passed through
newly-added RHTS tests and the old tests.
Comment 5 arch harris 2006-03-09 08:18:05 EST
I just upgraded from version to of chkconfig.  In the latest
version (but not in the previous version), "chkconfig --levels 45 on" will also 
turn on those levels that are specified as being on by default.  My guess this
is a different sympton of the same problem already described above.
Comment 7 Don Bodle 2006-03-28 10:41:50 EST
"Me Too!" re comment #5.  We have a process that recovers certain custom 
settings after an o/s reload.  It's broken in RHEL 4.0 update 3.
It looks like chkconfig has changed its method of operation; or at least it 
doesn't behave the way I read the man page.  I just confirmed it works as 
expected on RHEL 3.0 and on RHEL 4.0 update 2. The daemonrecover script would 
get each selection and turn it on and off based on 
the /etc/netdata/daemons/chkconfig.conf file.  Here's a code snippet:

+ chkconfig --level 1 netfs on
+ chkconfig --level 2 netfs off
+ chkconfig --level 3 netfs on
+ chkconfig --level 4 netfs on
+ chkconfig --level 5 netfs on

Here is what appears to happen:

root > chkconfig netfs reset
root > chkconfig --list netfs
netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off
root > chkconfig --level 1 netfs on
root > chkconfig --list netfs
netfs           0:off   1:on    2:off   3:on    4:on    5:on    6:off
root > chkconfig --level 2 netfs off
root > chkconfig --list netfs
netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off
root > chkconfig --level 3 netfs off
root > chkconfig --list netfs
netfs           0:off   1:off   2:off   3:off   4:on    5:on    6:off
root > chkconfig --level 1 netfs on
root > chkconfig --list netfs
netfs           0:off   1:on    2:off   3:on    4:on    5:on    6:off

It's like it resets the configuration for anything you don't specify on the 
chkconfig --level line to its default.
Comment 9 Johnny Hughes 2006-04-07 15:37:38 EDT
I want to add that I have confirmed that when using drbd and heartbeat rpms when
turning off drbd, heartbeat turns on and when turning off heartbeat drbd turns on.

When using this patch, that does not happen.

That is with version chkconfig-

Not sure if it also affects other scripts in init.d or not ... but I think it is
pretty major if using "chkconfig service1" effects service2
Comment 10 Bob Johnson 2006-04-11 12:11:49 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 15 Red Hat Bugzilla 2006-04-19 15:08:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.